function [T_s_sim, T_Cycle_start, T_Cycle_stop, T_start, T_stop, t_dc, v_car_dc, d_v_car_dc_dt] = number_of_dc(t, v_car, N_dc)

T_s = t(2)-t(1);                                                            %[s] Sample time
T_s_sim = T_s;

T_Cycle_start = t(1);                                                       %[s] time where drive cycle begins

t_temp = (t(1)-1*3600):1:(t(1)-T_s);                                        %[s] 1 hour before start
v_temp = zeros(length(t_temp),1);                                           %[km/h] Extra speed
for i=1:N_dc
    if i==1
        t_dc = [t_temp'; t];                                                          %[s] Time
        v_car_dc = [v_temp; v_car];                                                   %[km/h] Car speed
    else
        t_temp_2 = t + max(t_dc) + T_s;                                                %[s] repeat drive cycle
        t_dc = [t_dc; t_temp_2];                                                 %[s] Time
        v_car_dc = [v_car_dc; v_car];                                             %[km/h] Car speed
        clear t_temp_2;
    end
end
clear t_temp; clear v_temp;

T_Cycle_stop = max(t_dc);                                                      %[s] time where drive cycle ends

t_temp = (t_dc(length(t_dc)) + T_s):1:(t_dc(length(t_dc))+20*3600);             %[s] 20 hours extra for recharging
v_temp = zeros(length(t_temp),1);                                               %[km/h] Extra speed
t_dc = [t_dc; t_temp'];                                                           %[s] Time used for simulation
v_car_dc = [v_car_dc; v_temp];                                                    %[km/h] Car reference speed
clear t_temp; clear v_temp;

d_v_car_dc_dt = zeros(length(v_car_dc),1);
for i=2:(length(v_car_dc)-1)
    d_v_car_dc_dt(i) = (1000/3600)*(v_car_dc(i+1)-v_car_dc(i-1))/(t_dc(i+1)-t_dc(i-1));    %[m/s^2] Speed diferentiated
end                                                                    %[s] Simulation sample time

T_start = t_dc(1);                                                             %[s] time where simulation begins
T_stop = max(t_dc);                                                            %[s] time where simulation ends